org.apache.fop.fonts

## Class Glyphs

- java.lang.Object
- - org.apache.fop.fonts.Glyphs

Deprecated.
Use the Glyphs class from XML Graphics Commons instead!

    public final class Glyphs
    extends Object

This class provides a number of constants for glyph management.

### Field Summary

Fields
`static String[]` `MAC_GLYPH_NAMES` Deprecated. Glyph names for Mac encoding
`static String` `NOTDEF` Deprecated. Glyph name for the "notdef" glyph
`static String[]` `TEX8R_GLYPH_NAMES` Deprecated. Glyph names for tex8r encoding
`static String[]` `UNICODE_GLYPHS` Deprecated. List of unicode glyphs
`static char[]` `WINANSI_ENCODING` Deprecated. The characters in WinAnsiEncoding

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static String` `charToGlyphName(char ch)` Deprecated. Return the glyphname from a character, eg, charToGlyphName('\\') returns "backslash"
`static String` `glyphToString(String name)` Deprecated. Return the glyphname from a string, eg, glyphToString("\\") returns "backslash"
`static String` `stringToGlyph(String name)` Deprecated. Return the string representation of a glyphname, eg stringToGlyph("backslash") returns "\\"

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NOTDEF

    public static final String NOTDEF

Deprecated.
Glyph name for the "notdef" glyph

See Also:
  Constant Field Values

#### MAC_GLYPH_NAMES

    public static final String[] MAC_GLYPH_NAMES

Deprecated.
Glyph names for Mac encoding

#### TEX8R_GLYPH_NAMES

    public static final String[] TEX8R_GLYPH_NAMES

Deprecated.
Glyph names for tex8r encoding

#### WINANSI_ENCODING

    public static final char[] WINANSI_ENCODING

Deprecated.
The characters in WinAnsiEncoding

#### UNICODE_GLYPHS

    public static final String[] UNICODE_GLYPHS

Deprecated.
List of unicode glyphs

### Method Detail

#### charToGlyphName

    public static String charToGlyphName(char ch)

Deprecated.
Return the glyphname from a character, eg, charToGlyphName('\\') returns "backslash"

Parameters:
  `ch` - glyph to evaluate
Returns:
  the name of the glyph

#### glyphToString

    public static String glyphToString(String name)

Deprecated.
Return the glyphname from a string, eg, glyphToString("\\") returns "backslash"

Parameters:
  `name` - glyph to evaluate
Returns:
  the name of the glyph TODO: javadocs for glyphToString and stringToGlyph are confused TODO: Improve method names

#### stringToGlyph

    public static String stringToGlyph(String name)

Deprecated.
Return the string representation of a glyphname, eg stringToGlyph("backslash") returns "\\"

Parameters:
  `name` - name of the glyph
Returns:
  the string representation